Radeon driver crash with linux-kernel-3.13.0-43

Bug #1402714 reported by Grygorii on 2014-12-15
58
This bug affects 12 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Chris J Arges

Bug Description

SRU Justification:
[Impact]
Users of Radeon drivers with some hardware experience crashes on boot.

[Test Case]
Boot machine with Radeon driver and affected card, ensure it doesn't crash.

[Fix]
commit 83d04c39f9048807a8500e575ae3f1718a3f45bb upstream
in v3.18-rc2+

--

There is syslog cut:
Dec 14 10:45:14 mediacenter kernel: [ 17.365515] ------------[ cut here ]------------
Dec 14 10:45:14 mediacenter kernel: [ 17.365590] kernel BUG at /build/buildd/linux-3.13.0/mm/slub.c:3365!
Dec 14 10:45:14 mediacenter kernel: [ 17.365670] invalid opcode: 0000 [#1] SMP
Dec 14 10:45:14 mediacenter kernel: [ 17.365727] Modules linked in: ctr ccm snd_hda_codec_realtek arc4 snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_seq_midi rt2800usb snd_seq_midi_event rt2x00usb snd_rawmidi rt2800lib rt2x00lib snd_seq mac80211 snd_seq_device kvm_amd snd_timer sp5100_tco cfg80211 kvm i2c_piix4 crc_ccitt serio_raw joydev snd w83627ehf hwmon_vid soundcore lp mac_hid parport hid_generic usbhid hid radeon ahci r8169 psmouse i2c_algo_bit mii ttm libahci drm_kms_helper drm
Dec 14 10:45:14 mediacenter kernel: [ 17.366337] CPU: 1 PID: 1301 Comm: Xorg Not tainted 3.13.0-43-generic #72-Ubuntu
Dec 14 10:45:14 mediacenter kernel: [ 17.366427] Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./E350M1/USB3, BIOS P1.60 05/21/2012
Dec 14 10:45:14 mediacenter kernel: [ 17.366542] task: ec1e2700 ti: ec112000 task.ti: ec112000
Dec 14 10:45:14 mediacenter kernel: [ 17.366608] EIP: 0060:[<c1164a61>] EFLAGS: 00213246 CPU: 1
Dec 14 10:45:14 mediacenter kernel: [ 17.366683] EIP is at kfree+0x101/0x110
Dec 14 10:45:14 mediacenter kernel: [ 17.366730] EAX: 80000000 EBX: 00000000 ECX: 00010005 EDX: 80000000
Dec 14 10:45:14 mediacenter kernel: [ 17.366804] ESI: f76fe480 EDI: f8d24d08 EBP: ec113b88 ESP: ec113b6c
Dec 14 10:45:14 mediacenter kernel: [ 17.366879] DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Dec 14 10:45:14 mediacenter kernel: [ 17.366944] CR0: 80050033 CR2: b64b8024 CR3: 35b5d000 CR4: 000007f0
Dec 14 10:45:14 mediacenter kernel: [ 17.367018] Stack:
Dec 14 10:45:14 mediacenter kernel: [ 17.367044] 0000004c ec113b88 ec113be4 00024414 00000000 f48f2000 f6137400 ec113c4c
Dec 14 10:45:14 mediacenter kernel: [ 17.367151] f8d24d08 00000000 f60bc656 0000c736 00000000 00aac9a0 0000712c 00007048
Dec 14 10:45:14 mediacenter kernel: [ 17.367257] 00007044 00000000 00000000 ec1d2a80 f48f2000 f6137400 f584c800 ec113be0
Dec 14 10:45:14 mediacenter kernel: [ 17.367362] Call Trace:
Dec 14 10:45:14 mediacenter kernel: [ 17.367457] [<f8d24d08>] evergreen_hdmi_setmode+0x738/0x9a0 [radeon]
Dec 14 10:45:14 mediacenter kernel: [ 17.367565] [<f8a96059>] ? drm_detect_hdmi_monitor+0x69/0xb0 [drm]
Dec 14 10:45:14 mediacenter kernel: [ 17.367693] [<f8d2ba27>] ? radeon_atom_encoder_dpms+0xa7/0x1d0 [radeon]
Dec 14 10:45:14 mediacenter kernel: [ 17.367824] [<f8d2503e>] ? evergreen_hdmi_enable+0xce/0xf0 [radeon]
Dec 14 10:45:14 mediacenter kernel: [ 17.367955] [<f8d2bc99>] radeon_atom_encoder_mode_set+0x149/0x2c0 [radeon]
Dec 14 10:45:14 mediacenter kernel: [ 17.368046] [<f846ba06>] drm_crtc_helper_set_mode+0x4d6/0x550 [drm_kms_helper]
Dec 14 10:45:14 mediacenter kernel: [ 17.368179] [<f8cd6974>] radeon_property_change_mode.isra.1+0x34/0x40 [radeon]
Dec 14 10:45:14 mediacenter kernel: [ 17.368305] [<f8cd6b19>] radeon_connector_set_property+0x199/0x330 [radeon]
Dec 14 10:45:14 mediacenter kernel: [ 17.368416] [<f8a93539>] drm_mode_obj_set_property_ioctl+0x149/0x3c0 [drm]
Dec 14 10:45:14 mediacenter kernel: [ 17.368521] [<f8a937b0>] ? drm_mode_obj_set_property_ioctl+0x3c0/0x3c0 [drm]
Dec 14 10:45:14 mediacenter kernel: [ 17.368628] [<f8a937e3>] drm_mode_connector_property_set_ioctl+0x33/0x40 [drm]
Dec 14 10:45:14 mediacenter kernel: [ 17.368730] [<f8a84792>] drm_ioctl+0x472/0x500 [drm]
Dec 14 10:45:14 mediacenter kernel: [ 17.368817] [<f8a937b0>] ? drm_mode_obj_set_property_ioctl+0x3c0/0x3c0 [drm]
Dec 14 10:45:14 mediacenter kernel: [ 17.368907] [<c114729d>] ? handle_mm_fault+0x34d/0x8d0
Dec 14 10:45:14 mediacenter kernel: [ 17.368974] [<c141a041>] ? __pm_runtime_resume+0x51/0x70
Dec 14 10:45:14 mediacenter kernel: [ 17.369069] [<f8c9b0de>] radeon_drm_ioctl+0x3e/0x70 [radeon]
Dec 14 10:45:14 mediacenter kernel: [ 17.369167] [<f8c9b0a0>] ? radeon_resume+0x50/0x50 [radeon]
Dec 14 10:45:14 mediacenter kernel: [ 17.369240] [<c118acb2>] do_vfs_ioctl+0x2e2/0x4d0
Dec 14 10:45:14 mediacenter kernel: [ 17.369303] [<c165fc27>] ? __do_page_fault+0x237/0x510
Dec 14 10:45:14 mediacenter kernel: [ 17.369368] [<c117beb1>] ? __sb_end_write+0x31/0x70
Dec 14 10:45:14 mediacenter kernel: [ 17.369432] [<c117a405>] ? vfs_write+0x165/0x1b0
Dec 14 10:45:14 mediacenter kernel: [ 17.369490] [<c118af00>] SyS_ioctl+0x60/0x80
Dec 14 10:45:14 mediacenter kernel: [ 17.369545] [<c166398d>] sysenter_do_call+0x12/0x12
Dec 14 10:45:14 mediacenter kernel: [ 17.369606] Code: 2a 8b 06 31 d2 f6 c4 40 74 03 8b 56 38 89 f0 e8 a6 49 fc ff eb 9a 8b 70 1c 0f ae e8 89 f6 8b 10 80 e6 80 0f 44 f0 e9 3e ff ff ff <0f> 0b 8d b6 00 00 00 00 8d bc 27 00 00 00 00 55 89 e5 57 56 53
Dec 14 10:45:14 mediacenter kernel: [ 17.369948] EIP: [<c1164a61>] kfree+0x101/0x110 SS:ESP 0068:ec113b6c

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1402714

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: trusty
Chris J Arges (arges) wrote :
Changed in linux (Ubuntu):
assignee: nobody → Chris J Arges (arges)
importance: Undecided → Medium
status: Incomplete → In Progress
Chris J Arges (arges) wrote :

Note this is already applied in the 3.16 stable queue, and thus will be applied to Utopic and Vivid, and when Vivid rebases to 3.18 it will already be applied via upstream commits.

description: updated
Changed in linux (Ubuntu Trusty):
assignee: nobody → Chris J Arges (arges)
Changed in linux (Ubuntu):
assignee: Chris J Arges (arges) → nobody
importance: Medium → Undecided
Changed in linux (Ubuntu Trusty):
status: New → In Progress
Changed in linux (Ubuntu):
status: In Progress → Fix Released
Andy Whitcroft (apw) on 2014-12-15
Changed in linux (Ubuntu Trusty):
status: In Progress → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty

Updating the kernel to 3.13.0-44 fix my problems. I had kernel crashes with 3.13.0-43 when plugging tv to my pc through hdmi cable. now it seems to work fine

astro (bernard-godard) on 2014-12-20
tags: added: verification-done-trusty
removed: verification-needed-trusty
rtrevor (rtrevor) wrote :

Looking in the trusty-changes archive, linux-kernel-3.13.0-43 was in trusty-proposed for all of ~4 hours before getting pushed out which made my system unbootable, whereas 3.13.0-44.73 has been in proposed for 6 days now and still not pushed to -updates/-security, what's with the timings? Should the -43 update not have been in proposed for longer to catch serious bugs like this?

Tommy_CZ (t-kijas) wrote :

Are you serious? how can u let thousands of users with new AMD apus without support for several (!!!) months ? withou posibility to boot OS, they will f. ck Ubuntu like Linus did to NVIDIA!! Unbelievable... wow Canonical, you do not want customers... you really do not want them.

Launchpad Janitor (janitor) wrote :
Download full text (10.8 KiB)

This bug was fixed in the package linux - 3.13.0-44.73

---------------
linux (3.13.0-44.73) trusty; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1402872

  [ AceLan Kao ]

  * SAUCE: Add use_native_backlight quirk for HP ProBook 6570b
    - LP: #1359010

  [ Andy Whitcroft ]

  * Revert "SAUCE: (no-up) arm64: optimized copy_to_user and copy_from_user
    assembly code"
    - LP: #1398596
  * [Config] updateconfigs to balance CONFIG_SCOM_DEBUGFS

  [ Upstream Kernel Changes ]

  * iwlwifi: mvm: fix merge damage
    - LP: #1393317
  * iwlwifi: remove IWL_UCODE_TLV_FLAGS_SCHED_SCAN flag
    - LP: #1393317
  * iwlwifi: mvm: disable scheduled scan to prevent firmware crash
    - LP: #1393317
  * iwlwifi: mvm: enable scheduled scan on newest firmware
    - LP: #1393317
  * x86: kvm: use alternatives for VMCALL vs. VMMCALL if kernel text is
    read-only
    - LP: #1379340
  * phylib: introduce PHY_INTERFACE_MODE_XGMII for 10G PHY
    - LP: #1381084
  * of: make of_get_phy_mode parse 'phy-connection-type'
    - LP: #1381084
  * xen-netfront: Remove BUGs on paged skb data which crosses a page
    boundary
    - LP: #1275879
  * ACPI / blacklist: blacklist Win8 OSI for Dell Vostro 3546
    - LP: #1383589
  * powerpc/pseries: Fix endiannes issue in RTAS call from xmon
    - LP: #1396235
  * mmc: sdhci-pci-o2micro: Fix Dell E5440 issue
    - LP: #1346067
  * mfd: rtsx: Fix PM suspend for 5227 & 5249
    - LP: #1359052
  * drivers:scsi:storvsc: Fix a bug in handling ring buffer failures that
    may result in I/O freeze
    - LP: #1400289
  * arm64: optimized copy_to_user and copy_from_user assembly code
    - LP: #1400349
  * net:socket: set msg_namelen to 0 if msg_name is passed as NULL in
    msghdr struct from userland.
    - LP: #1335478
  * drm/radeon: initialize sadb to NULL in the audio code
    - LP: #1402714
  * powerpc/vphn: NUMA node code expects big-endian
    - LP: #1401150
  * ALSA: usb-audio: Fix device_del() sysfs warnings at disconnect
    - LP: #1402853
  * ALSA: hda - Add mute LED pin quirk for HP 15 touchsmart
    - LP: #1334950, #1402853
  * rcu: Make callers awaken grace-period kthread
    - LP: #1402853
  * rcu: Use rcu_gp_kthread_wake() to wake up grace period kthreads
    - LP: #1402853
  * net: sctp: fix NULL pointer dereference in af->from_addr_param on
    malformed packet
    - LP: #1402853
  * KVM: x86: Don't report guest userspace emulation error to userspace
    - LP: #1402853
  * [media] ttusb-dec: buffer overflow in ioctl
    - LP: #1402853
  * arm64: __clear_user: handle exceptions on strb
    - LP: #1402853
  * ARM: pxa: fix hang on startup with DEBUG_LL
    - LP: #1402853
  * samsung-laptop: Add broken-acpi-video quirk for NC210/NC110
    - LP: #1402853
  * acer-wmi: Add Aspire 5741 to video_vendor_dmi_table
    - LP: #1402853
  * acer-wmi: Add acpi_backlight=video quirk for the Acer KAV80
    - LP: #1402853
  * rbd: Fix error recovery in rbd_obj_read_sync()
    - LP: #1402853
  * [media] ds3000: fix LNB supply voltage on Tevii S480 on initialization
    - LP: #1402853
  * powerpc: do_notify_resume can be called with bad thread_info flags
    argument
    - LP: #1402853
  * USB: kobil_sct: f...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Chris J Arges (arges) wrote :

@rtrevor

Hi, the reason -43 was in -proposed for a short amount of time was that it contained an emergency fix on top of what was going to -41. The -41 kernel had already gone through the normal SRU process and thus extending the SRU cycle would be extraneous. We believe the original breakage occurred before this version and wasn't detected until this bug report was filed.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.